GWEN_ARGS Struct Reference

`#include <args.h>`

## Data Fields

uint32_t | flags
const char * | longDescription
const char * | longOption
unsigned int | maxNum
unsigned int | minNum
const char * | name
const char * | shortDescription
const char * | shortOption
GWEN_ARGS_TYPE | type

## Detailed Description

This is one of the very few structs inside Gwenhywfar whose contents are available for direct access to the the program. Developer's note: Please note that any change within this struct will make it necessary to increment the SO_VERSION of the library !

Definition at line 79 of file args.h.

## Field Documentation

## flags

uint32_t flags

Definition at line 80 of file args.h.

## longDescription

const char* longDescription

Definition at line 88 of file args.h.

## longOption

const char* longOption

Definition at line 86 of file args.h.

## maxNum

unsigned int maxNum

Definition at line 84 of file args.h.

## minNum

unsigned int minNum

Definition at line 83 of file args.h.

## name

const char* name

Definition at line 82 of file args.h.

## shortDescription

const char* shortDescription

Definition at line 87 of file args.h.

## shortOption

const char* shortOption

Definition at line 85 of file args.h.

## type

GWEN_ARGS_TYPE type

Definition at line 81 of file args.h.

The documentation for this struct was generated from the following file:

- args.h